Bug 119673 - [GTK] Remove Gail dependency from build system for GTK3
Summary: [GTK] Remove Gail dependency from build system for GTK3
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 114867
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 02:20 PDT by Mario Sanchez Prada
Modified: 2013-09-11 09:24 PDT (History)
12 users (show)

See Also:


Attachments
Patch proposal (14.30 KB, patch)
2013-08-12 02:59 PDT, Mario Sanchez Prada
gtk-ews: commit-queue-
Details | Formatted Diff | Diff
Patch proposal (14.97 KB, patch)
2013-09-11 05:21 PDT, Mario Sanchez Prada
gns: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sanchez Prada 2013-08-12 02:20:43 PDT
Once bug 114867 is fixed, we won't longer need to compile and link against libgail anymore, so let's remove it from the build system.
Comment 1 Mario Sanchez Prada 2013-08-12 02:27:06 PDT
Setting proper dependency path and adding people on CC who might be interested
Comment 2 Mario Sanchez Prada 2013-08-12 02:59:39 PDT
Created attachment 208522 [details]
Patch proposal

One dependency less!
Comment 3 kov's GTK+ EWS bot 2013-08-12 05:12:15 PDT
Comment on attachment 208522 [details]
Patch proposal

Attachment 208522 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/1449136
Comment 4 Build Bot 2013-08-23 14:05:37 PDT
Comment on attachment 208522 [details]
Patch proposal

Attachment 208522 [details] did not pass win-ews (win):
Output: http://webkit-queues.appspot.com/results/1527697
Comment 5 Mario Sanchez Prada 2013-09-11 05:21:23 PDT
Created attachment 211300 [details]
Patch proposal

Updated the patch against master, now we finally and actually removed any need of gail in the WebKitGTK+ codebase.
Comment 6 Gustavo Noronha (kov) 2013-09-11 06:08:31 PDT
Comment on attachment 211300 [details]
Patch proposal

\o/
Comment 7 Mario Sanchez Prada 2013-09-11 08:49:45 PDT
Comment on attachment 211300 [details]
Patch proposal

Thanks for the review
Comment 8 WebKit Commit Bot 2013-09-11 08:53:09 PDT
Comment on attachment 211300 [details]
Patch proposal

Rejecting attachment 211300 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 211300, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in Source/WebCore/ChangeLog contains OOPS!.

Full output: http://webkit-queues.appspot.com/results/1787062
Comment 9 Mario Sanchez Prada 2013-09-11 09:24:25 PDT
Committed r155534: <http://trac.webkit.org/changeset/155534>